Create a project import source
POST
/v1/project-import-sourcescurl -X POST 'https://api.embodiflow.io/v1/project-import-sources' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"projectId": "string",
"bucketName": "string",
"prefix": "string",
"region": "string",
"provider": "string",
"displayName": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- projectIdstring必填
- bucketNamestring必填
- prefixstring
- regionstring | null
- providerstring
- displayNamestring | null
响应
Success
- dataobject必填
- idstring必填
- projectIdstring必填
- providerstring必填
- bucketNamestring必填
- prefixstring必填
- regionstring | null必填
- displayNamestring | null必填
- statusstring必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"projectId": "string",
"provider": "string",
"bucketName": "string",
"prefix": "string",
"region": "string",
"displayName": "string",
"status": "string",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1